<template>
  <a-table :columns="columns" :data-source="store.searchUnitsByKeyword" size="middle" :loading="store.isBuildingLoading">
    <div slot="operation" slot-scope="id, row">
      <UnitDialog :unit="row">
        <b-action-button>More detail</b-action-button>
      </UnitDialog>
    </div>
  </a-table>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import BActionButton from '~/components/shared/buttons/ActionButton'

const columns = [
  {
    title: 'UNIT',
    dataIndex: 'name',
    key: 'name',
  },
  {
    title: '',
    dataIndex: 'operation',
    scopedSlots: { customRender: 'operation' },
    key: 'operation',
    width: 150,
  },
]

export default defineComponent({
  components: { BActionButton },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      columns,
    }
  },
})
</script>
